Ticket #4084 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

携帯日記コメント投稿時権限エラーメッセージ違い

Reported by: pnetan Assigned to: kudo
Priority: minor Milestone: OpenPNE2.14.2
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.15 Cc:

Description (Last modified by imamura623)

■現象

携帯版・日記へのコメント送信時、文章入力中に日記の公開レベルが変更されていると、日記閲覧権限エラーの「この日記にはアクセスできません」ではなく「申し訳ございませんがこのメンバーのページにはアクセスできません」と、アクセスブロック時のメッセージが表示されてしまう。

■発生バージョン

  • Ver2.14beta4
  • Ver.2.12.12

■再現手順

  • 1.携帯にてコメント投稿時に公開範囲を変更する
  • 2.「この日記にはアクセスできません」ではなく「このページにはアクセスできません」と表示される

■環境

■修正内容

  • エラーページのリダイレクト先をアクセスブロックエラーページからアクセス権限エラーページに変更

■関連情報

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=20859より転載

携帯版・日記へのコメント送信時、
文章入力中に日記の公開レベルが変更されていると、
日記閲覧権限エラーの「この日記にはアクセスできません」ではなく
「申し訳ございませんがこのメンバーのページにはアクセスできません」と、
アクセスブロック時のメッセージが表示されてしまう。

原因箇所
webapp\modules\ktai\do\fh_diary_insert_c_diary_comment.php(36)

公開レベルエラー時に
openpne_redirect('ktai', 'page_h_access_block');
とアクセスブロック通知ページへと飛ばしていますが、
ここはPC版と同様、
openpne_redirect('pc', 'page_h_err_diary_access');
ではないかと思います。

当方OpenPNE v2.13.8ですが、2.14beta2も同じ処理でした。

どうぞ対応よろしくお願いいたします。

※
こちらも参加者の方から問合せがあり個別対応しました。
実際にはアクセス拒否されていないのに「アクセス拒否されたかも…」と参加者間のいらぬ誤解を生んでいました…。

Change History

07/07/09 10:46:54 changed by imamura623

  • keywords set to 再現待ち.

07/07/09 18:04:01 changed by imamura623

  • keywords deleted.
  • version changed from 2.14.x to 2.12.x & 2.14.x.
  • description changed.
  • milestone set to OpenPNE2.14RC1.

再現テスト実施しました。

07/07/09 19:04:46 changed by kiwa

  • milestone deleted.

08/26/09 10:58:06 changed by imamura623

  • keywords set to OpenPNE2.12.15.
  • milestone set to OpenPNE2.14.2.

09/07/09 10:33:22 changed by kudo

  • owner changed from nobody to kudo.
  • status changed from new to assigned.

09/07/09 12:20:35 changed by kudo

  • keywords changed from OpenPNE2.12.15 to OpenPNE2.12.15 確認中.

r12841,r12842にてtrunk

r12843にて2.12

r12844にて2.14を修正しました。確認お願いします。

10/14/09 18:59:16 changed by imamura623

動作テストしました。問題ありません。

(follow-up: ↓ 9 ) 10/15/09 14:54:27 changed by ogawa

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15 差し戻し.

携帯版では、$WORD_DIARY ではなく $WORD_DIARY_HALF を使うようにしてください。

ktai_page_fh_diary で同様の権限チェック箇所があるので同じ処理を行うように合わせてください。今回の変更でページ作成済みなので、ktai_page_fh_diary を openpne_redirect() に合わせる変更で OK だと思います。

(in reply to: ↑ 8 ) 10/15/09 15:37:45 changed by imamura623

  • keywords changed from OpenPNE2.12.15 差し戻し to OpenPNE2.12.15 確認中.

Replying to ogawa:

携帯版では、$WORD_DIARY ではなく $WORD_DIARY_HALF を使うようにしてください。 ktai_page_fh_diary で同様の権限チェック箇所があるので同じ処理を行うように合わせてください。今回の変更でページ作成済みなので、ktai_page_fh_diary を openpne_redirect() に合わせる変更で OK だと思います。

修正いたしました。

  • r12996でstable-2.14.xにコミット
  • r12997でtrunkにコミット
  • r12998でstable-2.12.xにコミット

10/15/09 15:48:33 changed by ogawa

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15 差し戻し.

trunk のみ、webapp/modules/ktai/page/fh_diary.php の変更行の末尾に不要な空白が追加されています。

10/15/09 16:50:29 changed by imamura623

  • keywords changed from OpenPNE2.12.15 差し戻し to OpenPNE2.12.15 確認中.

r12999でwebapp/modules/ktai/page/fh_diary.phpに含まれていた不要な空白を削除しました。

10/15/09 17:02:22 changed by imamura623

  • description changed.

10/15/09 18:16:13 changed by ogawa

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15 差し戻し.

description の「修正内容」にある、

  • PC,ktaiともに修正

は間違いではないでしょうか。

10/15/09 18:20:06 changed by imamura623

  • keywords changed from OpenPNE2.12.15 差し戻し to OpenPNE2.12.15 確認中.
  • description changed.

失礼しました。携帯のみの対応です。

10/15/09 18:28:10 changed by ogawa

  • keywords changed from OpenPNE2.12.15 確認中 to OpenPNE2.12.15 テスト待ち.

確認しました。ktai_page_fh_diary も合わせて再度テストしてください。

10/15/09 19:57:06 changed by imamura623

  • keywords changed from OpenPNE2.12.15 テスト待ち to OpenPNE2.12.15.

ktai_page_fh_diary,ktai_do_fh_diary_insert_c_diary_commentともに確認しました。問題ありません。

修正完了としチケットクローズします。

10/15/09 19:57:15 changed by imamura623

  • status changed from assigned to closed.
  • resolution set to fixed.